> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get a partner entry's contact information

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/{entryId}/contact-info/

Return the contact information of a specific directory entry.

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/contact-information/get-a-partner-entrys-contact-information

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — ID of the directory containing the entry
- `entryId` (string, required) — ID of the specific entry within the directory

## Response

### 200

Successful operation

- `id` (string, required)
- `email` (string, required)
- `firstName` (string, required)
- `lastName` (string, required)
- `isPendingMember` (boolean, required)

## Errors

### 404 Not Found Error

Entry or contact information not found

- `any`

### 500 Internal Server Error

Internal server error

- `any`

## Examples

**Response**

```json
{
  "id": "string",
  "email": "example@example.com",
  "firstName": "string",
  "lastName": "string",
  "isPendingMember": true,
  "first_name": "John",
  "last_name": "Doe"
}
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/contact-info/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/contact-info/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```